[PC-BSD Commits] r1013 - pbibuild/modules/xchat/overlay-dir
svn at pcbsd.org
svn at pcbsd.org
Thu Dec 13 14:50:56 PST 2007
Author: gonzalo
Date: 2007-12-13 14:50:56 -0800 (Thu, 13 Dec 2007)
New Revision: 1013
Modified:
pbibuild/modules/xchat/overlay-dir/PBI.RemoveScript.sh
Log:
RemoveScript fixed/upgraded.
Modified: pbibuild/modules/xchat/overlay-dir/PBI.RemoveScript.sh
===================================================================
--- pbibuild/modules/xchat/overlay-dir/PBI.RemoveScript.sh 2007-12-13 22:47:16 UTC (rev 1012)
+++ pbibuild/modules/xchat/overlay-dir/PBI.RemoveScript.sh 2007-12-13 22:50:56 UTC (rev 1013)
@@ -17,15 +17,19 @@
rm -fR /usr/local/bin/xchat
-cd /home
- for i in `ls`
- do
- if [ -d "/home/${i}/.xchat2" ]
- then
- kdialog --title "Uninstalling XChat!" --yesno "Do you want to delete this PBI completely?\nIf you answer 'Yes', configuration files located in /home/${i}/.xchat will be erased."
- if [ "$?" = "0" ]
- then
- rm -fR /home/${i}/.xchat2
- fi
- fi
- done
\ No newline at end of file
+if [ ! -z "$DISPLAY" ]
+then
+ # Ask if we want to remove the user profiles
+ kdialog --yesno "Do you want to remove XChat user settings?" --title "Remove user settings"
+ if [ "$?" = "0" ]
+ then
+ cd /home
+ for i in `ls`
+ do
+ if [ -e "/home/${i}/.xchat2" ]
+ then
+ rm -rf /home/${i}/.xchat2
+ fi
+ done
+ fi
+fi
More information about the Commits
mailing list